# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Shifter
include 			$(DIR_MORPHEO)/Behavioural/Generic/Shifter/Makefile.deps
endif
ifndef RegisterFile_Monolithic
include 			$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps
endif

Branch_History_Table			= yes

#-----[ Library ]------------------------------------------
Branch_History_Table_LIBRARY		= 	-lBranch_History_Table	\
						$(RegisterFile_Monolithic_LIBRARY)	\
						$(Shifter_LIBRARY)	\
						$(Behavioural_LIBRARY)	

Branch_History_Table_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/lib	\
						$(RegisterFile_Monolithic_DIR_LIBRARY)	\
						$(Shifter_DIR_LIBRARY)		\
						$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Branch_History_Table_library		: 
					@$(MAKE) Behavioural_library
					@$(MAKE) Shifter_library
					@$(MAKE) RegisterFile_Monolithic_library
					@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table --makefile=Makefile 

Branch_History_Table_library_clean	: 
					@$(MAKE) Behavioural_library_clean
					@$(MAKE) Shifter_library_clean
					@$(MAKE) RegisterFile_Monolithic_library_clean
					@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table --makefile=Makefile clean
